%define name tunctl
%define version 20060323
%define release %mkrel 1

%define	Summary	Tool to create and manage persistent TUN/TAP interfaces

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	tunctl_%{version}.tar.xz
Source1:	tun.rules
License:	GPL
Group:		Networking/Other
Conflicts:	uml-utilities
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://user-mode-linux.sourceforge.net/
Requires(pre):	rpm-helper
Requires(postun): rpm-helper


%description
tunctl allows the host sysadmin to preconfigure a TUN/TAP device for
use by a particular user. That user may open and use the device, but
may not change any aspects of the host side of the interface.

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/udev/rules.d/90-tun.rules

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%_pre_groupadd tun

%postun
%_postun_groupdel tun

%files
%defattr(-,root,root)
%{_bindir}/tunctl
%config(noreplace) %{_sysconfdir}/udev/rules.d/90-tun.rules


%changelog
* Tue Nov 8 2011  kjpetrie <pclos.bugs@instabook.com> 20060323-1pclos2011
- rebuilt for 64-bit

* Sun Oct 14 2007 kjpetrie <pclos.bugs@instabook.com> 20060323-1pclos2007
- Extracted tunctl from Mandriva uml-utilities package

* Sat Jan 06 2007 Olivier Blin <oblin@mandriva.com> 20060323-3mdv2007.0
+ Revision: 104685
- make /dev/net/tun owned by the tun group (#21113)
- make the tunctl package add a tun system group (part of #21113)
- move tunctl in a subpackage since it is often used without UML (description from Debian manpage)

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org> 20060323-2mdv2007.0
+ Revision: 54861
- patch0: fix build
- Import uml-utilities


* Tue Apr 4 2006 Tibor Pittich <Tibor.Pittich@mandriva.org>  20060323-1mdk
- 20060323
- remove suid bit on uml_net

* Thu Mar 16 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 20060216-1mdk
- new version

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 20040406-3mdk
- %%mkrel
- Fix summary

* Mon Apr 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 20040406-2mdk
-  Rebuild for Readline

* Tue Apr 13 2004 Stew Benedict <sbenedict@mandrakesoft.com> 20040406-1mdk
- 20040406

* Thu Jan  8 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030903-3mdk
- DIRM fix

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 20030903-2mdk 
- BuildRequires ( libncurses-devel )

* Tue Oct 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20030903-1mdk
- 20030903

* Tue Aug 13 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020729-0.1mdk
- 1st pre release

